# coding: utf-8
# GPIO ライブラリをインポート
import RPi.GPIO as GPIO

# time ライブラリをインポート
import time

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

# 使用するGPIO番号を配列に代入
PIN = [4,17,27,18,5,6,13,12,22,23]
SPEED=0.4

for i in range(len(PIN)):
    GPIO.setup(PIN[i], GPIO.OUT,initial=GPIO.HIGH)

def action(n):
    GPIO.output(PIN[n],GPIO.LOW)
    time.sleep(SPEED)
    GPIO.output(PIN[n],GPIO.HIGH)
    time.sleep(SPEED)

n=0
while n>=0 and n<=9:
    x=input('x[1:10]=')
    n=int(x)-1
    if n>=0 and n<=5 :
        count=6 # ６回連続送信する
    elif n>5 and n<10:
        count=1 # １回送信する
    else :
        count=0 # 送信しない
    for i in range(count):
        action(n)
GPIO.cleanup()
